Subject: Re: macvtap performs IP defragmentation, causing MTU problems for virtual machines

From: Florian Westphal <[email-masked]>
Date: Fri, 6 Oct 2023 08:06:31 +0200

Henrik Lindström <[email-masked]> wrote:
> On onsdag 4 oktober 2023 10:00:37 CEST Florian Westphal wrote:
> > Can you submit this formally, with proper changelog and Signed-off-by?
> > See scripts/checkpatch.pl in the kernel tree.
> Sure, i can give it a shot. How do i properly credit you if i submit your
> patch with some small changes of my own?

You can use:

"Suggested-by:" tag here.

> > You could also mention in changelog that this is ipv4 only because
> > ipv6 already considers the interface index during reassembly.
> Interesting. I've been trying to understand the code and it seems like
> ipv6 does defragmentation per-interface, while ipv4 does it "per-vrf"
> (correct me if i'm wrong). Is there any reason for this difference? 

Only for linklocal and multicasts.  Added in
264640fc2c5f4f913db5c73fa3eb1ead2c45e9d7 . Even mentions macvlan in the
changelog.

> The idea being that bcast/mcast packets are always defragmented
> per-interface, and unicast packets always "per-vrf".

LGTM, but please CC [email-masked] once you submit the patch.